OBNasaThermoData Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
OBNasaThermoData Class Reference

`#include <openbabel/kinetics.h>`

Inheritance diagram for OBNasaThermoData:
[legend]

List of all members.

## Public Member Functions
| OBNasaThermoData ()
virtual OBGenericData * | Clone (OBBase *parent) const
double | GetCoeff (unsigned n) const
void | SetCoeff (unsigned n, const double val)
double | GetLoT () const
double | GetMidT () const
double | GetHiT () const
void | SetLoT (double val)
void | SetMidT (double val)
void | SetHiT (double val)
char | GetPhase () const
void | SetPhase (char ph)
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
double | Coeffs [14]
double | LoT
double | MidT
double | HiT
char | phase
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Thermodynamic data in old style NASA polynomial form for OBMol.

This is a venerable data format used to describe specific heats, enthalpies and entropies, particularly in the gas phase and at high temperatures. There is a standard datafile with fixed format (for punched cards!) which can be read and written to this OBMol extension using the thermo format. It is also used in chemkin format and in cmlreact format For a brief description of the meaning of the coefficients see http://www.me.berkeley.edu/gri_mech/data/nasa_plnm.html The first 7 coefficients are for the high temperature range MidT to HiT; and the second 7 are for the low temperature range LoT to MidT Note that there is a more modern NASA polynomial with more terms, which is not supported here.

## Constructor & Destructor Documentation

OBNasaThermoData | ( |  | ) | `[inline]`

Referenced by OBNasaThermoData::Clone().

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * | parent | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

double GetCoeff | ( | unsigned | n | ) | const`[inline]`

void SetCoeff | ( | unsigned | n,
|  | const double | val
| ) |  | `[inline]`

double GetLoT | ( |  | ) | const`[inline]`

double GetMidT | ( |  | ) | const`[inline]`

double GetHiT | ( |  | ) | const`[inline]`

void SetLoT | ( | double | val | ) | `[inline]`

void SetMidT | ( | double | val | ) | `[inline]`

void SetHiT | ( | double | val | ) | `[inline]`

char GetPhase | ( |  | ) | const`[inline]`

void SetPhase | ( | char | ph | ) | `[inline]`

void SetAttribute | ( | const std::string & | v | ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s | ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( |  | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( |  | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( |  | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBPairData, and OBCommentData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( |  | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

double Coeffs[14]`[protected]`

Referenced by OBNasaThermoData::GetCoeff(), and OBNasaThermoData::SetCoeff().

double LoT`[protected]`

Referenced by OBNasaThermoData::GetLoT(), and OBNasaThermoData::SetLoT().

double MidT`[protected]`

Referenced by OBNasaThermoData::GetMidT(), and OBNasaThermoData::SetMidT().

double HiT`[protected]`

Referenced by OBNasaThermoData::GetHiT(), and OBNasaThermoData::SetHiT().

char phase`[protected]`

Referenced by OBNasaThermoData::GetPhase(), and OBNasaThermoData::SetPhase().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), and OBChiralData::operator=().

The documentation for this class was generated from the following file:

- kinetics.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines